Trivago: Search
Search from Trivago as JSON. 1 credit per successful call.
GET /v1/trivago/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
check_in | string | Required | Any |
check_out | string | Required | Any |
adults | integer | Optional | Any |
rooms | integer | Optional | Any |
children_ages[] | list of integer | Optional | Any |
currency | string | Optional | Any |
market | string | Optional | us, de, uk, fr, es, it, nl |
destination_id | integer | Required | Any |
limit | integer | Optional | Any |
offset | integer | Optional | Any |
sort | string | Optional | relevance, price_asc, rating, price_desc |
min_price | integer | Optional | Any |
max_price | integer | Optional | Any |
stars[] | list of integer | Optional | 1, 2, 3, 4, 5 |
min_rating | string | Optional | 7.0, 7.5, 8.0, 8.5 |
property_type[] | list of integer | Optional | Any |
amenities[] | list of integer | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/trivago/search" \
-H "X-API-Key: $API_KEY"